Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #230

Headless mode enhancements
December 26, 2012 20:31 - Byron Stanoszek

Status: Closed Start date: December 26, 2012
Priority: Minor Due date:

Assignee: % Done: 100%

Category: core Estimated time: 0.00 hour

Target version: 3.4

Affects version: 3.3.3

Description

Please add the following enhancements to headless mode:

A command-line flag to enter Repeat mode for the entire list of files specified on the command-line.

Pressing Control-C skips to the next song in the playlist; pressing Control-C twice within one second quits Audacious. This is how the
"mpg123" (MP3 Player) command behaves, and | thought this was a decent way to catch the only real signal needed from the

command-line.

Allow headless mode to automatically Quit Audacious after the last song specified on the command-line has finished playing (when

not in Repeat mode).

History

#1 - December 28, 2012 18:57 - John Lindgren

audtool already has options for controlling repeat and skipping to the next song. An option to quit at the end of the playlist could be useful, though.

#2 - February 03, 2013 17:09 - John Lindgren
- Category set to core

- Status changed from New to Closed

- Target version set to 3.4

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious/commit/f3b76ba336d3d249d9d7e3f37541978f165d78c0
